%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Alien-automake
Version:       0.18
Release:       2mamba
Summary:       Alien::automake - Build or find automake
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/Alien/Alien-automake-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-Alien-Build
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl-devel
Requires:      perl >= %perl_major_ver

%description
Alien::automake - Build or find automake.

%prep
%setup -q -n Alien-automake-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
#% make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,/usr/share/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Sun Apr 16 2023 Sdk Build System <sdk@mambasoft.it> 0.18-2mamba
- rebuilt with perl 5.36.0

* Fri Aug 12 2022 Automatic Build System <autodist@mambasoft.it> 0.18-1mamba
- automatic version update by autodist

* Mon Apr 04 2022 Automatic Build System <autodist@mambasoft.it> 0.17-1mamba
- automatic version update by autodist

* Sat Apr 10 2021 Automatic Build System <autodist@mambasoft.it> 0.16-1mamba
- automatic version update by autodist

* Tue Dec 08 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15-1mamba
- package created using the webbuild interface
